package org.objectweb.telosys.common;

/**
 * The Telosys framework checked Exception
 * 
 * @author Laurent GUERIN
 * 
 */
public class TelosysException extends Exception 
{
	private static final long serialVersionUID = 1L;
    
//    private static final TelosysClassLogger log = new TelosysClassLogger(TelosysException.class);

    //-----------------------------------------------------------------------------
    /**
     * Constructs a new TelosysException and automatically log it in all error outputs
     * @param message
     */
    public TelosysException(String message)
    {
        //--- Construct the exception
        super(message); 

        //--- Log it
        Telosys.error("TelosysException : " + message);
        Telosys.error(this);
    }

    //-----------------------------------------------------------------------------
    /**
     * Constructs a new TelosysException and automatically log it in all error outputs
     * @param message
     * @param cause
     */
    public TelosysException(String message, Throwable cause)
    {
        //--- Construct the exception
        super(message, cause);

        //--- Log it
        String sCause = "???";
        if ( cause != null ) sCause = cause.toString() ;
        Telosys.error("TelosysException : " + message + " ( cause : " + sCause + ")");
        Telosys.error(this);
    }
}