package org.objectweb.telosys.common;

/**
 * The Telosys framework unchecked Exception
 * 
 * @author Laurent GUERIN
 * 
 */
public class TelosysRuntimeException extends RuntimeException 
{
	private static final long serialVersionUID = 1L;
	
//    private static final TelosysClassLogger log = new TelosysClassLogger(TelosysRuntimeException.class);

    //-----------------------------------------------------------------------------
    /**
     * Constructs a new Exception and automatically log it in all error outputs
     * 
     * @param message
     */
    public TelosysRuntimeException(String message)
    {
        //--- Construct the exception
        super(message);

        //--- Log it
        Telosys.error("TelosysException : " + message);
        Telosys.error(this);
    }

    //-----------------------------------------------------------------------------
    /**
     * Constructs a new Exception and automatically log it in all error outputs
     * 
     * @param message
     * @param cause
     */
    public TelosysRuntimeException(String message, Throwable cause)
    {
        //--- Construct the exception
        super(message, cause);

        //--- Log it
        String sCause = "???";
        if ( cause != null ) sCause = cause.toString() ;
        Telosys.error("TelosysException : " + message + " ( cause : " + sCause + ")");
        Telosys.error(this);

    }
}