package org.objectweb.telosys.common;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * View interface, implemented by the "View" classes that are able to generate <br>
 * a view as an http response ( e.g. ScreenView and ResourceView )<br>
 * <br>
 * Returned by navigation services, and used by the Service servlet to generate the response  
 *  
 * 
 * @author Laurent GUERIN
 *
 */
public interface View
{
    /**
     * Generates the response page (the ScreenMap or any other resource page)
     * 
     * @param httpRequest
     * @param httpResponse
     * @throws TelosysException
     */
    public void generate(HttpServletRequest httpRequest, HttpServletResponse httpResponse) throws TelosysException ;
    
    
//  removed in v 1.0.5
//    /**
//     * Returns the target URL or URI of the View 
//     * @return
//     */
//    public String getTarget();

}
