package org.objectweb.telosys.dal.csv;

/**
 * CSV parser handler interface
 * 
 * @author Laurent GUERIN
 *  
 */
public interface ICSVHandler
{
    /**
     * Called when the parsing starts
     */
    public void start();

    /**
     * Called for each data line 
     * @param no
     * @param sLine
     * @param fields
     */
    public void dataLine(int no, String sLine, String fields[]);

    /**
     * Called for each comment line
     * @param no
     * @param sLine
     */
    public void commentLine(int no, String sLine);

    /**
     * Called for each void line
     * @param no
     */
    public void voidLine(int no);

    /**
     * Called when the parsing ends
     */
    public void end();
}

