package org.objectweb.telosys.dal.rest;

import java.io.IOException;

import javax.servlet.http.HttpServletResponse;

/**
 * Inferface for DAO REST response rendering, used by the DAO REST Servlet <br>
 * implemented by the REST renderers ( HTML, XML, ... )
 * 
 * @author Laurent GUERIN
 * @since 1.0.0
 */
public interface DAORenderer
{
    // void printResponse( DAOResponse response );
    /**
     * Prints the response 
     * @param httpResponse
     * @param response
     * @throws IOException
     */
    void printResponse( HttpServletResponse httpResponse, DAOResponse response ) throws IOException ; // v 1.0.5

    // void printError( Throwable ex );
    /**
     * Prints an error response 
     * @param httpResponse
     * @param t
     * @throws IOException
     */
    void printError( HttpServletResponse httpResponse, Throwable t ) throws IOException ; // v 1.0.5
    
}
