package org.objectweb.telosys.dal.rest;

import java.io.IOException;
import java.io.PrintWriter;

import javax.servlet.http.HttpServletResponse;

import org.objectweb.telosys.common.TelosysConst;

/**
 * TEXT response renderer
 * 
 * @author Olivier Laurendeau, Laurent GUERIN
 * 
 * @since 1.0.0
 */
public class DAORendererText implements DAORenderer
{
//    private PrintWriter pw = null ;
//    
//    /**
//     * @param pw
//     */
//    public DAORendererText(PrintWriter pw)
//    {
//        super();
//        this.pw = pw;
//    }
    
    //public void printResponse( DAOResponse response )
    /* (non-Javadoc)
     * @see org.objectweb.telosys.dal.rest.DAORenderer#printResponse(javax.servlet.http.HttpServletResponse, org.objectweb.telosys.dal.rest.DAOResponse)
     */
    public void printResponse( HttpServletResponse httpResponse, DAOResponse response ) throws IOException // v 1.0.5
    {
        httpResponse.setContentType(TelosysConst.HTTP_CONTENT_TYPE_TEXT_UTF8);
        PrintWriter pw = httpResponse.getWriter();

        pw.println("Action = " + response.getAction() );
        pw.println("Return Code = " + response.getRetCode() );
        if ( response.isFound() ) pw.println("FOUND" );
        if ( response.isNotFound() ) pw.println("NOT FOUND" );
        Object bean = response.getResultObject();
        if ( bean != null )
        {
            pw.println("Record Bean : " + bean );
        }
    }

    //public void printError( Throwable t )
    /* (non-Javadoc)
     * @see org.objectweb.telosys.dal.rest.DAORenderer#printError(javax.servlet.http.HttpServletResponse, java.lang.Throwable)
     */
    public void printError( HttpServletResponse httpResponse, Throwable t ) throws IOException // v 1.0.5
	{
        httpResponse.setContentType(TelosysConst.HTTP_CONTENT_TYPE_TEXT_UTF8);
        PrintWriter pw = httpResponse.getWriter();

        pw.println( "ERROR : " );
	    pw.println( t.getMessage() );
	}
    
}
