package org.objectweb.telosys.rpl.xml;

import org.objectweb.telosys.common.TelosysRuntimeException;

/**
 * Interface describing the contract of XML wrapper providers  
 * 
 * @author Laurent GUERIN
 *
 */
public interface IXmlWrapperProvider
{

    /**
     * Returns an XML wrapper associated with the given bean class name
     * @param beanInstance the object instance (cannot be null)
     * @return
     * @throws TelosysRuntimeException if the parameter is null
     */
    public IXmlWrapper getWrapper(Object beanInstance) ; 

    /**
     * Returns an XML wrapper associated with the given bean class name
     * @param beanClass the object class (cannot be null)
     * @return
     * @throws TelosysRuntimeException if the parameter is null
     */
    public IXmlWrapper getWrapper(Class beanClass) ;
    
}