package org.objectweb.telosys.rpl.xml.output;

/**
 * Error fired during the generation of the "view" section in the XML output.
 * 
 * @author Laurent Guerin
 * @since 1.0.5
 *
 */
public class ViewOutputError extends OutputError
{
    private String    _sViewName = null ;

    private String    _sRenderer = null ;
   
    /**
     * Constructor
     * @param viewName
     * @param renderer
     * @param exception
     */
    public ViewOutputError(String viewName, String renderer, Throwable exception )
    {
        super(exception);
        _sViewName = viewName != null ? viewName : "" ;
        _sRenderer = renderer != null ? renderer : "" ;
    }

    /**
     * Constructor
     * @param viewName
     * @param renderer
     * @param message
     */
    public ViewOutputError(String viewName, String renderer, String message)
    {
        super(message);
        _sViewName = viewName != null ? viewName : "" ;
        _sRenderer = renderer != null ? renderer : "" ;
    }
    
    /**
     * Returns the name of the view (never null)
     * @return
     */
    public String getViewName()
    {
        return _sViewName;
    }
    
    /**
     * Returns the renderer of the view (never null)
     * @return
     */
    public String getRenderer()
    {
        return _sRenderer;
    }

}
