package org.objectweb.telosys.screen.core;

import org.objectweb.telosys.common.TelosysException;
import org.objectweb.telosys.screen.env.ScreenSession;


/**
 * The ScreenProvider interface <br>
 * 
 * Implemented by "StandardScreenRegistry"  <br>
 * 
 * 
 * @author Laurent GUERIN
 * 
 */
public interface IScreenProvider  
{
    /**
     * Creates a new ScreenContext instance for the given ScreenContext Name and ScreenContext ID
     * 
     * @param screenSession
     * @param sScreenName
     * @param iScreenId
     * @return
     * @throws TelosysException
     */
    public ScreenContext getScreen ( ScreenSession screenSession, String sScreenName, int iScreenId) throws TelosysException ;
    
    
    /**
     * Initializes the screen provider using the current Telosys properties
     * 
     * @since 1.0.5
     */
    public void init();
}
