package org.objectweb.telosys.screen.core;

/**
 * Error message ( code + text )
 * 
 * @author Laurent GUERIN
 * 
 */
public class ScreenError
{
    private int    _iCode = 0;

    private String _sText = "";

    //-----------------------------------------------------------------------------------------------
    /**
     * Constructor
     * @param iErrorCode
     */
    public ScreenError(int iErrorCode)
    {
        _iCode = iErrorCode;
    }

    //-----------------------------------------------------------------------------------------------
    /**
     * Constructor
     * @param iErrorCode
     * @param sErrorMessage
     */
    public ScreenError(int iErrorCode, String sErrorMessage)
    {
        _iCode = iErrorCode;
        _sText = sErrorMessage;
    }

    //-----------------------------------------------------------------------------------------------
    /**
     * Returns the error code
     * @return
     */
    public int getCode()
    {
        return _iCode;
    }

    //-----------------------------------------------------------------------------------------------
    /**
     * Returns the error message
     * @return
     */
    public String getText()
    {
        return _sText;
    }
    
    //-----------------------------------------------------------------------------------------------
    /* (non-Javadoc)
     * @see java.lang.Object#toString()
     */
    public String toString()
    {
        return _iCode + " : " + _sText ;
    }
}