package org.objectweb.telosys.screen.core;

import org.objectweb.telosys.common.TelosysException;
import org.objectweb.telosys.rpl.ScreenRequest;
import org.objectweb.telosys.rpl.ScreenResponse;

/**
 * The ScreenProcedures interface <br>
 * Defines all the methods that must be implemented by a SCREEN PROCEDURES MANAGER <br>
 * <br>
 * Implemented in the framework by "StandardScreenProcedures" <br>
 * 
 * @author Laurent GUERIN
 *
 */
public interface ScreenProcedures
{
    /**
     * Method called by an "EXEC" action ( supposed to be used to call a "screen procedure" )
     * 
     * @param sProcName the name of the procedure to call
     * @param screenContext the ScreenContext to use
     * @param screenRequest the ScreenRequest 
     * @param screenResponse the ScreenResponse
     * @return
     * @throws TelosysException
     */
    public boolean execute(String sProcName, ScreenContext screenContext, ScreenRequest screenRequest, ScreenResponse screenResponse ) throws TelosysException ;
}
