
package org.objectweb.telosys.screen.core;

import org.objectweb.telosys.dal.dao.DatabaseSession;
import org.objectweb.telosys.rpl.ScreenRequest;
import org.objectweb.telosys.rpl.ScreenResponse;

/**
 *
 * This class is the default implementation of the ScreenTriggers interface.<br>
 * It provides a set of methods to be overridden.<br>
 * Void triggers ( all the triggers do "nothing" and always return "true" )<br>
 * 
 * @author Laurent GUERIN
 * 
 */
//public class StandardScreenTriggers implements ScreenTriggers
public class StandardScreenTriggers extends StandardScreenCommon implements ScreenTriggers
{
//    //----------------------------------------------------------------------------------------------
//    /**
//     * Returns the ScreenApplication object
//     * @return
//     */
//    protected ScreenApplication getScreenApplication() 
//    {
//        return ScreenApplicationManager.getScreenApplication();
//    }
    
//    /**
//     * Returns the ServletContext object
//     * @return
//     */
//    protected ServletContext getServletContext() 
//    {
//        return ScreenApplicationManager.getServletContext();
//    }
    
    //----------------------------------------------------------------------------------------------

    /* (non-Javadoc)
     * @see org.objectweb.telosys.screen.core.ScreenTriggers#beforeSet(org.objectweb.telosys.screen.core.ScreenData, org.objectweb.telosys.screen.core.ScreenContext, org.objectweb.telosys.rpl.ScreenRequest, org.objectweb.telosys.rpl.ScreenResponse)
     */
    public boolean beforeSet(ScreenData data, ScreenContext screen, ScreenRequest request, ScreenResponse response )
    {
        return true;
    }

    //----------------------------------------------------------------------------------------------
    /* (non-Javadoc)
     * @see org.objectweb.telosys.screen.core.ScreenTriggers#afterSet(org.objectweb.telosys.screen.core.ScreenData, org.objectweb.telosys.screen.core.ScreenContext, org.objectweb.telosys.rpl.ScreenRequest, org.objectweb.telosys.rpl.ScreenResponse)
     */
    public boolean afterSet(ScreenData data, ScreenContext screen, ScreenRequest request, ScreenResponse response )
    {
        return true;            
    }        
    
    //----------------------------------------------------------------------------------------------
    /* (non-Javadoc)
     * @see org.objectweb.telosys.screen.core.ScreenTriggers#beforeGet(org.objectweb.telosys.screen.core.ScreenContext, org.objectweb.telosys.rpl.ScreenRequest, org.objectweb.telosys.rpl.ScreenResponse)
     */
    public boolean beforeGet( ScreenContext screen, ScreenRequest request, ScreenResponse response )
    {
        return true;
    }

    //----------------------------------------------------------------------------------------------
    /* (non-Javadoc)
     * @see org.objectweb.telosys.screen.core.ScreenTriggers#afterGet(org.objectweb.telosys.screen.core.ScreenContext, org.objectweb.telosys.rpl.ScreenRequest, org.objectweb.telosys.rpl.ScreenResponse)
     */
    public boolean afterGet( ScreenContext screen, ScreenRequest request, ScreenResponse response )
    {
        return true;            
    }        
    
    //----------------------------------------------------------------------------------------------
    /* (non-Javadoc)
     * @see org.objectweb.telosys.screen.core.ScreenTriggers#beforeClear(org.objectweb.telosys.screen.core.ScreenContext, org.objectweb.telosys.rpl.ScreenRequest, org.objectweb.telosys.rpl.ScreenResponse)
     */
    public boolean beforeClear( ScreenContext screen, ScreenRequest request, ScreenResponse response )
    {
        return true;
    }

    //----------------------------------------------------------------------------------------------
    /* (non-Javadoc)
     * @see org.objectweb.telosys.screen.core.ScreenTriggers#afterClear(org.objectweb.telosys.screen.core.ScreenContext, org.objectweb.telosys.rpl.ScreenRequest, org.objectweb.telosys.rpl.ScreenResponse)
     */
    public boolean afterClear( ScreenContext screen, ScreenRequest request, ScreenResponse response )
    {
        return true;            
    }        
    
    //----------------------------------------------------------------------------------------------
    /* (non-Javadoc)
     * @see org.objectweb.telosys.screen.core.ScreenTriggers#beforeLoad(org.objectweb.telosys.screen.core.ScreenData, org.objectweb.telosys.screen.core.ScreenContext, org.objectweb.telosys.rpl.ScreenRequest, org.objectweb.telosys.rpl.ScreenResponse, org.objectweb.telosys.dal.dao.DatabaseSession)
     */
    public boolean beforeLoad(ScreenData data, ScreenContext screen, ScreenRequest req, ScreenResponse response, DatabaseSession dbSession)
    {
        return true;
    }

    //----------------------------------------------------------------------------------------------
    /* (non-Javadoc)
     * @see org.objectweb.telosys.screen.core.ScreenTriggers#afterLoad(org.objectweb.telosys.screen.core.ScreenData, org.objectweb.telosys.screen.core.ScreenContext, org.objectweb.telosys.rpl.ScreenRequest, org.objectweb.telosys.rpl.ScreenResponse, org.objectweb.telosys.dal.dao.DatabaseSession)
     */
    public boolean afterLoad(ScreenData data, ScreenContext screen, ScreenRequest req, ScreenResponse response, DatabaseSession dbSession)
    {
        return true;
    }

    //----------------------------------------------------------------------------------------------
    /* (non-Javadoc)
     * @see org.objectweb.telosys.screen.core.ScreenTriggers#beforeSave(org.objectweb.telosys.screen.core.ScreenData, org.objectweb.telosys.screen.core.ScreenContext, org.objectweb.telosys.rpl.ScreenRequest, org.objectweb.telosys.rpl.ScreenResponse, org.objectweb.telosys.dal.dao.DatabaseSession)
     */
    public boolean beforeSave(ScreenData data, ScreenContext screen, ScreenRequest req, ScreenResponse response, DatabaseSession dbSession)
    {
        return true;
    }

    //----------------------------------------------------------------------------------------------
    /* (non-Javadoc)
     * @see org.objectweb.telosys.screen.core.ScreenTriggers#afterSave(org.objectweb.telosys.screen.core.ScreenData, org.objectweb.telosys.screen.core.ScreenContext, org.objectweb.telosys.rpl.ScreenRequest, org.objectweb.telosys.rpl.ScreenResponse, org.objectweb.telosys.dal.dao.DatabaseSession)
     */
    public boolean afterSave(ScreenData data, ScreenContext screen, ScreenRequest req, ScreenResponse response, DatabaseSession dbSession)
    {
        return true;
    }

    //----------------------------------------------------------------------------------------------
    /* (non-Javadoc)
     * @see org.objectweb.telosys.screen.core.ScreenTriggers#beforeInsert(org.objectweb.telosys.screen.core.ScreenData, org.objectweb.telosys.screen.core.ScreenContext, org.objectweb.telosys.rpl.ScreenRequest, org.objectweb.telosys.rpl.ScreenResponse, org.objectweb.telosys.dal.dao.DatabaseSession)
     */
    public boolean beforeInsert(ScreenData data, ScreenContext screen, ScreenRequest req, ScreenResponse response, DatabaseSession dbSession)
    {
        return true;
    }

    //----------------------------------------------------------------------------------------------
    /* (non-Javadoc)
     * @see org.objectweb.telosys.screen.core.ScreenTriggers#afterInsert(org.objectweb.telosys.screen.core.ScreenData, org.objectweb.telosys.screen.core.ScreenContext, org.objectweb.telosys.rpl.ScreenRequest, org.objectweb.telosys.rpl.ScreenResponse, org.objectweb.telosys.dal.dao.DatabaseSession)
     */
    public boolean afterInsert(ScreenData data, ScreenContext screen, ScreenRequest req, ScreenResponse response, DatabaseSession dbSession)
    {
        return true;
    }

    //----------------------------------------------------------------------------------------------
    /* (non-Javadoc)
     * @see org.objectweb.telosys.screen.core.ScreenTriggers#beforeUpdate(org.objectweb.telosys.screen.core.ScreenData, org.objectweb.telosys.screen.core.ScreenContext, org.objectweb.telosys.rpl.ScreenRequest, org.objectweb.telosys.rpl.ScreenResponse, org.objectweb.telosys.dal.dao.DatabaseSession)
     */
    public boolean beforeUpdate(ScreenData data, ScreenContext screen, ScreenRequest req, ScreenResponse response, DatabaseSession dbSession)
    {
        return true;
    }

    //----------------------------------------------------------------------------------------------
    /* (non-Javadoc)
     * @see org.objectweb.telosys.screen.core.ScreenTriggers#afterUpdate(org.objectweb.telosys.screen.core.ScreenData, org.objectweb.telosys.screen.core.ScreenContext, org.objectweb.telosys.rpl.ScreenRequest, org.objectweb.telosys.rpl.ScreenResponse, org.objectweb.telosys.dal.dao.DatabaseSession)
     */
    public boolean afterUpdate(ScreenData data, ScreenContext screen, ScreenRequest req, ScreenResponse response, DatabaseSession dbSession)
    {
        return true;
    }

    //----------------------------------------------------------------------------------------------
    /* (non-Javadoc)
     * @see org.objectweb.telosys.screen.core.ScreenTriggers#beforeDelete(org.objectweb.telosys.screen.core.ScreenData, org.objectweb.telosys.screen.core.ScreenContext, org.objectweb.telosys.rpl.ScreenRequest, org.objectweb.telosys.rpl.ScreenResponse, org.objectweb.telosys.dal.dao.DatabaseSession)
     */
    public boolean beforeDelete(ScreenData data, ScreenContext screen, ScreenRequest req, ScreenResponse response, DatabaseSession dbSession)
    {
        return true;
    }

    //----------------------------------------------------------------------------------------------
    /* (non-Javadoc)
     * @see org.objectweb.telosys.screen.core.ScreenTriggers#afterDelete(org.objectweb.telosys.screen.core.ScreenData, org.objectweb.telosys.screen.core.ScreenContext, org.objectweb.telosys.rpl.ScreenRequest, org.objectweb.telosys.rpl.ScreenResponse, org.objectweb.telosys.dal.dao.DatabaseSession)
     */
    public boolean afterDelete(ScreenData data, ScreenContext screen, ScreenRequest req, ScreenResponse response, DatabaseSession dbSession)
    {
        return true;
    }

}
