package org.objectweb.telosys.service;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.objectweb.telosys.rpl.GenericResponse;
import org.objectweb.telosys.screen.env.ScreenSession;

/**
 * The response object used by a "Screen Service" 
 * 
 * @author Laurent GUERIN
 *  
 */
public class ServiceResponse extends GenericResponse // TelosysObject // extends GenericResponse v 1.0.5
{
    //-----------------------------------------------------------------------------------------------
    // 
    //-----------------------------------------------------------------------------------------------

    private String              _sServiceName    = null;

//    private HttpServletRequest  _httpRequest     = null; // removed in v 1.0.5 (see GenericResponse)

//    private HttpServletResponse _httpResponse    = null; // since v 0.9.9 // removed in v 1.0.5 (see GenericResponse)
    
    private ScreenSession       _screenSession   = null;

    //-----------------------------------------------------------------------------------------------
    // 
    //-----------------------------------------------------------------------------------------------

//    private Hashtable       _htValues         = null; // Values to return in the response // removed in v 1.0.5 (see GenericResponse)

//    private LinkedList      _listExceptions   = null; // List of all the exceptions // removed in v 1.0.5 (see GenericResponse)

//    private LinkedList      _listErrors       = null; // List of all the errors // removed in v 1.0.5 (see GenericResponse)

//    private LinkedList      _listMessages     = null; // List of all the app. messages // removed in v 1.0.5 (see GenericResponse)

//    private int             _iReturnCode      = 0;   // default = "0" ( = OK ) // removed in v 1.0.5 (see GenericResponse)

//    private String          _sReturnMessage   = "Ok"; // default = "Ok" // removed in v 1.0.5 (see GenericResponse)

    private Object          _serviceResult    = null;
    
//    private String          _sRedirection     = null ; // v 0.9.9 // removed in v 1.0.5 (see GenericResponse)
    

    //-----------------------------------------------------------------------------------------------
    // Constructor(s)
    //-----------------------------------------------------------------------------------------------
    /**
     * Constructs a new ServiceResponse object
     * @param sServiceName
     * @param httpRequest
     * @param httpResponse
     * @param screenSession
     */
    public ServiceResponse(String sServiceName, HttpServletRequest httpRequest, HttpServletResponse httpResponse, ScreenSession screenSession)
    {
        super(httpRequest, httpResponse); // added in v 1.0.5 (see GenericResponse)
//      _httpRequest = httpRequest ; // removed in v 1.0.5 (see GenericResponse)
//      _httpResponse = httpResponse; // removed in v 1.0.5 (see GenericResponse)
        _sServiceName  = sServiceName;
        _screenSession = screenSession;        
    }

    //-----------------------------------------------------------------------------------------------
    // Methods
    //-----------------------------------------------------------------------------------------------

    //-----------------------------------------------------------------------------------------------
    /**
     * Returns the "service name"
     * @return
     */
    public String getServiceName()
    {
        return _sServiceName;
    }
    
    //-----------------------------------------------------------------------------------------------
    /**
     * Returns the "ScreenSession" object 
     * @return
     */
    public ScreenSession getScreenSession()
    {
        return _screenSession;
    }

    //-----------------------------------------------------------------------------------------------
    // Result object
    //-----------------------------------------------------------------------------------------------
    /**
     * Returns the service result object 
     * @return
     */
    public Object getResult()
    {
        return _serviceResult;
    }

    //-----------------------------------------------------------------------------------------------
    /**
     * Set the service result object 
     * @param v
     */
    public void setResult(Object v)
    {
        _serviceResult = v;
    }

    //-----------------------------------------------------------------------------------------------
    /* (non-Javadoc)
     * @see java.lang.Object#toString()
     */
    public String toString()
    {
        StringBuffer sb = new StringBuffer(256);
        sb.append("ServiceResponse : " );
        
        sb.append("\n . service-name = '" + _sServiceName + "' " );
        
        //sb.append("\n . return : code='" + _iReturnCode + "' message='" + _sReturnMessage + "' " ); // v 1.0.5
        sb.append( toString(RETURN) ); // v 1.0.5
        
        sb.append( toString(REDIRECTION) ); // v 1.0.5

        sb.append( toString(ERRORS + EXCEPTIONS + MESSAGES + VALUES ) ); // v 1.0.5

        return sb.toString() ;

    }
    //-----------------------------------------------------------------------------------------------
}