package org.objectweb.telosys.service;

import org.objectweb.telosys.common.TelosysObject;


/**
 * Standard ancestor class to build screen services <br>
 * <br>
 * It implements the ScreenService interface except the "execute" method <br>
 * that must be implemented in the child class.
 * 
 * 
 * @author Laurent GUERIN
 *
 */
public abstract class StandardScreenService extends TelosysObject implements ScreenService
{
    private String _sName = null ;
    
    private String _sRenderer = null ;

    private String _sSessionKey = null ;

    //-----------------------------------------------------------------------------------------------
    /* (non-Javadoc)
     * @see org.objectweb.telosys.service.ScreenService#init(java.lang.String, java.lang.String, java.lang.String)
     */
    public void init ( String sName, String sRenderer, String sSessionKey )
    {
        _sName = sName ;
        _sRenderer = sRenderer ;
        _sSessionKey = sSessionKey ;
    }
    
    //-----------------------------------------------------------------------------------------------
    /* (non-Javadoc)
     * @see org.objectweb.telosys.service.ScreenService#getName()
     */
    public String getName()
    {
        return _sName ;
    }
    
    //-----------------------------------------------------------------------------------------------
    /* (non-Javadoc)
     * @see org.objectweb.telosys.service.ScreenService#getRenderer()
     */
    public String getRenderer()
    {
        return _sRenderer ;
    }

    //-----------------------------------------------------------------------------------------------
    /* (non-Javadoc)
     * @see org.objectweb.telosys.service.ScreenService#getSessionKey()
     */
    public String getSessionKey()
    {
        return _sSessionKey ;
    }

}
