package org.objectweb.telosys.service.search;

import org.objectweb.telosys.screen.core.ScreenMessage;

/**
 * Interface for search services messages
 * 
 * @author Laurent GUERIN
 *
 */
public interface SearchMessages
{

    /**
     * Returns the ScreenMessage for the case "no row found" 
     * @return
     */
    public ScreenMessage noRow();
    
    /**
     * Returns the ScreenMessage for the case "too much row" 
     * @param max maximum number of rows
     * @return
     */
    public ScreenMessage tooMuchRows(int max);
    
    /**
     * Returns the ScreenMessage for the case "too much row" 
     * @param n number of rows found
     * @param max maximum number of rows
     * @return
     */
    public ScreenMessage tooMuchRows(int n, int max);
    
    /**
     * Returns the ScreenMessage saying the number of rows found
     * @param n number of rows found
     * @return
     */
    public ScreenMessage numberOfRows(int n);
}
