package org.objectweb.telosys.service.search;

import org.objectweb.telosys.screen.core.ScreenMessage;

/**
 * The standard implementation for SearchMessages interface <br>
 * In this implementation the messages are always in english.
 * 
 * @author Laurent GUERIN
 *
 */
public class StandardSearchMessages implements SearchMessages
{
    //----------------------------------------------------------------------------------
    /* (non-Javadoc)
     * @see org.objectweb.telosys.service.search.SearchMessages#noRow()
     */
    public ScreenMessage noRow()
    {
        return new ScreenMessage( "No row found.", ScreenMessage.INFORMATION );
    }
    
    //----------------------------------------------------------------------------------
    /* (non-Javadoc)
     * @see org.objectweb.telosys.service.search.SearchMessages#tooMuchRows(int)
     */
    public ScreenMessage tooMuchRows( int max)
    {
        return new ScreenMessage( "Too much rows ( more than " + max + " )", ScreenMessage.WARNING );        
    }

    //----------------------------------------------------------------------------------
    /* (non-Javadoc)
     * @see org.objectweb.telosys.service.search.SearchMessages#tooMuchRows(int, int)
     */
    public ScreenMessage tooMuchRows(int n, int max)
    {
        return new ScreenMessage( "Too much rows : " + n + " ( " + max + " maximum )", ScreenMessage.WARNING );        
    }
    
    //----------------------------------------------------------------------------------
    /* (non-Javadoc)
     * @see org.objectweb.telosys.service.search.SearchMessages#numberOfRows(int)
     */
    public ScreenMessage numberOfRows(int n)
    {
        if ( n == 1 )
        {
            return new ScreenMessage( "1 row found.", ScreenMessage.INFORMATION );                    
        }
        else
        {
            return new ScreenMessage( "" + n + " rows found.", ScreenMessage.INFORMATION );                    
        }
    }

}
