package org.objectweb.telosys.uil.renderer;

import org.objectweb.telosys.common.TelosysObject;
import org.objectweb.telosys.uil.i18n.Translator;

/**
 * Renderer description : jsp + translator if any <br>
 * 
 * @author Laurent GUERIN
 * 
 */
//public final class Renderer extends TelosysObject 
/* package */ final class Renderer extends TelosysObject  // v 1.1.0
{
    private String _sRendererJSP = null ;

    private Translator _translator = null ;
        
    /**
     * Constructor
     * @param sRendererJSP
     * @param translator
     */
    public Renderer(String sRendererJSP, Translator translator )
    {
        super();
        _sRendererJSP = sRendererJSP;
        _translator = translator;
    }
    
    //---------------------------------------------------------------------------------------
    /**
     * Returns the JSP 
     * @return
     */
    public String getJSP()
    {
        return _sRendererJSP;
    }
    
    //---------------------------------------------------------------------------------------
    /**
     * Returns the translator associated with the renderer
     * @return the translator, or null if none
     */
    public Translator getTranslator()
    {
        return _translator;
    }
    
    //---------------------------------------------------------------------------------------
    /**
     * Returns true if the renderer has a translator
     * @return
     */
    public boolean hasTranslator()
    {
        return _translator != null ? true : false ;
    }
    
//    //---------------------------------------------------------------------------------------
//    public String translate(String sKey, String sLanguage)
//    {
//        if ( _translator != null )
//        {
//            return _translator.translate( sKey, sLanguage);
//        }
//        return null ;
//    }    
    //---------------------------------------------------------------------------------------
}